#!/bin/sh

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"

tce-load -i compiletc wget submitqc4 
tce-load -i alsa-dev libogg-dev flac-dev lame-dev lame twolame-dev twolame
tce-load -i libvorbis-dev OSS wavpack-dev libpng-dev libsndfile libsndfile-dev libtool-dev 
tce-load -i libmad-dev libmad libid3tag wavpack libltdl libao-dev file-dev libid3tag-dev

cd /tmp
/usr/local/bin/wget -nc http://downloads.sourceforge.net/project/sox/sox/14.4.1/sox-14.4.1.tar.gz
tar xvf sox-14.4.1.tar.gz
cd sox-14.4.1
./configure --prefix=/usr/local --with-distro=TinyCore
make -j3
make DESTDIR=/tmp/sox install


cd /tmp
mkdir -p sox-doc/usr/local/share/doc/sox

mv sox/usr/local/share sox-doc/usr/local
cp -f sox-14.4.1/README sox-doc/usr/local/share/doc/sox

mksquashfs sox-doc sox-doc.tcz
md5sum sox-doc.tcz > sox-doc.tcz.md5.txt
cd sox-doc
find usr -not -type d > sox-doc.tcz.list
mv -f sox-doc.tcz.list /tmp


############### dev
cd /tmp
mkdir -p sox-dev/usr/local/lib
mv sox/usr/local/lib/pkgconfig sox-dev/usr/local/lib
mv sox/usr/local/include sox-dev/usr/local/
mv sox/usr/local/lib/*a sox-dev/usr/local/lib
rm -r -f sox/usr/local/lib/sox

mksquashfs sox-dev sox-dev.tcz
md5sum sox-dev.tcz > sox-dev.tcz.md5.txt
cd sox-dev
find usr -not -type d > sox-dev.tcz.list
mv -f sox-dev.tcz.list /tmp

############ sox
cd /tmp

mksquashfs sox sox.tcz
md5sum sox.tcz > sox.tcz.md5.txt
cd sox
find usr -not -type d > sox.tcz.list
mv -f sox.tcz.list /tmp

######### finish
cd /tmp
sudo submitqc4

